package com.biganto.visual.roompark.presentation.screen.to_flat

import com.biganto.visual.roompark.conductor.BigantoBasePresenter
import com.biganto.visual.roompark.domain.interactor.FindFlatInteractor
import io.reactivex.android.schedulers.AndroidSchedulers
import io.reactivex.schedulers.Schedulers
import timber.log.Timber
import javax.inject.Inject

/**
 * Created by Vladislav Bogdashkin on 30.09.2019.
 */


class FindFlatScreenPresenter @Inject constructor(
    private val interactor: FindFlatInteractor
)
    : BigantoBasePresenter<FindFlatScreen, FindFlatScreenViewState>() {


    override fun bindIntents() {

        val state = restoreStateObservable
            .doOnError{ Timber.e(it)}
            .subscribeOn(Schedulers.io())
            .observeOn(AndroidSchedulers.mainThread())

        subscribeViewState(state.cast(FindFlatScreenViewState::class.java), FindFlatScreen::render)
    }

}